package com.example.tdl.mapper;


import com.example.tdl.domain.vo.ResultRouteVo;
import com.example.tdl.domain.vo.RouteTermVo;
import com.example.tdl.entity.Route;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface RouteMapper {

    List<ResultRouteVo> getAll();

    List<ResultRouteVo> getRouteByTerm(RouteTermVo routeTermVo);

    int addRoute(Route route);

    int updateRoute(Route route);

    int delRoute(String routeNumber);

    int getByRouteNumber(String routeNumber);
}
